
%global meadversion 1.2.2
%global namedversion 1.2.2.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead

%{?scl:%scl_package jandex}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/jandex-eap6}
%{!?scl:%global javadir %{_javadir}/jandex-eap6}

%define maven_version 1.2.2.Final-redhat-1

Name:           %{?scl_prefix}jandex%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Annotation Indexer
Group:          Development/Java

%if %with mead
Source100: jandex-1.2.2.Final-redhat-1-scm-sources.zip
Source102: jandex-1.2.2.Final-redhat-1-project-sources.tar.gz
Source103: jandex-1.2.2.Final-redhat-1.jar
Source104: jandex-1.2.2.Final-redhat-1.pom
Source105: jandex-1.2.2.Final-redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/jandex
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}jandex%{?eap}-%{namedversion}-%{release}-root

%description
%{summary}.

%prep
%setup -q -n jandex -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/jandex-%{namedversion}.jar %{buildroot}%{javadir}/jandex-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jandex-%{namedversion}-sources.jar %{buildroot}%{javadir}/jandex-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
#%doc README
%dir %{javadir}
%{javadir}/jandex-%{namedversion}.jar
%{javadir}/jandex.jar
%{javadir}/jandex-%{namedversion}-sources.jar
%{javadir}/jandex-sources.jar

%changelog
* Wed Nov 26 2014 Yong Yang <yyang@redhat.com> - 0:1.2.2-1.Final_redhat_1
- Upgrade to 1.2.2.Final

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.0.3-3.Final_redhat_2.2
- own java dir

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.0.3-2.Final_redhat_2.2
- fix files on RHEL 7

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.0.3-1.Final_redhat_2.2
- release

